$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.6.0-dev.0.0/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.6.0-dev.0.0/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-BinRoot
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = 'e3b71c2d154c8d3191dfe9f935b6a44f56d5cc333c518b2c38aa7082934bb6dd'
  checksumType   = 'sha256'
  checksum64     = '1675b0bf3d1075617a9646ed43aaa9d42df2d1211fa123f2ead23ba0fe2e57fe'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
